CREATE SCHEMA Ingenieurbauwerke

-- Historie:
--
-- 29.06.2004 - 1.004 (1.009)
-- berarbeitung gem Dokument N0060
--
-- 31.05.2002 - 1.003 (1.007)
-- Erweiterung der Wertebereiche von Meter, Kilometer und Jahr
--
-- 12.09.2001 - 1.002 (1.004)
-- Beziehung zu allgemeine_Eigenschaften
-- gem A0006 auf Vererbung umgestellt
--
-- 11.12.2000 - 1.001 (1.002)
-- Symbolische Verweise integriert fr Teilbauwerk
--
-- 15.10.1999 - 1.000 (1.000)
-- Erste Version des OKSTRA verabschiedet

CREATE TABLE Bauwerkseinzelheiten (
   Bauwerkseinzelheiten_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Bauwerkseinzelheiten_ID) REFERENCES Entwurf.allgemeine_Eigenschaften,
   Bauwerksnummer
      INTEGER NOT NULL,
   Bauwerksname
      VARCHAR(255) NOT NULL,
   Bau_km
      REAL NOT NULL, -- Kilometer
   Brueckenklasse
      VARCHAR(255),
   Kreuzungswinkel
      REAL, -- Winkel
   lichte_Weite
      REAL, -- Meter
   lichte_Hoehe
      REAL, -- Meter
   Konstruktionshoehe
      REAL, -- Meter
   Nutzbreite
      REAL -- Meter
)

CREATE TABLE Bauweinzelh__von_Teilbauwerk (
   Bauwerkseinzelheiten
      INTEGER NOT NULL REFERENCES Bauwerkseinzelheiten,
   Teilbauwerk_abstrakt
      INTEGER NOT NULL REFERENCES Bauwerke.Teilbauwerk_abstrakt
)

