CREATE SCHEMA Projektressourcen

-- Historie:
--
-- 29.06.2004 - 1.002 (1.009)
-- Anpassung des Dokumentenverweises auf Dokument_abstrakt
--
-- 31.05.2002 - 1.001 (1.007)
-- Erweiterung der Wertebereiche von Meter, Kilometer und Jahr
--
-- 15.10.1999 - 1.000 (1.000)
-- Erste Version des OKSTRA verabschiedet

CREATE TABLE Projektressourcen (
   Projektressourcen_ID
      INTEGER NOT NULL PRIMARY KEY,
   Bauanfang_Bau_km
      REAL NOT NULL, -- Kilometer
   endet_bei_Bauende
      REAL NOT NULL, -- Kilometer
   Ausbaulaenge
      REAL NOT NULL, -- Kilometer
   ist_Kostenberechnung_nach_AKS
      INTEGER REFERENCES Kostenberechnung_nach_AKS,
   ist_Ausschreibung_und_Vergabe
      INTEGER REFERENCES Ausschreibung_und_Vergabe,
   ist_Abrechnung
      INTEGER REFERENCES Abrechnung
)

CREATE TABLE Kostenberechnung_nach_AKS (
   Kostenberechnung_nach_AKS_ID
      INTEGER NOT NULL PRIMARY KEY
)

CREATE TABLE Kostber_n_AKS__hat_Dokument (
   Kostenberechnung_nach_AKS
      INTEGER NOT NULL REFERENCES Kostenberechnung_nach_AKS,
   Dokument_abstrakt
      INTEGER NOT NULL REFERENCES Allgemeine_Objekte.Dokument_abstrakt
)

CREATE TABLE Ausschreibung_und_Vergabe (
   Ausschreibung_und_Vergabe_ID
      INTEGER NOT NULL PRIMARY KEY
)

CREATE TABLE AuV__hat_Dokument (
   Ausschreibung_und_Vergabe
      INTEGER NOT NULL REFERENCES Ausschreibung_und_Vergabe,
   Dokument_abstrakt
      INTEGER NOT NULL REFERENCES Allgemeine_Objekte.Dokument_abstrakt
)

CREATE TABLE Abrechnung (
   Abrechnung_ID
      INTEGER NOT NULL PRIMARY KEY
)

CREATE TABLE Abrechnung__hat_Dokument (
   Abrechnung
      INTEGER NOT NULL REFERENCES Abrechnung,
   Dokument_abstrakt
      INTEGER NOT NULL REFERENCES Allgemeine_Objekte.Dokument_abstrakt
)

